package pwc.taxtech.atms.dto.vatdto;

import lombok.Getter;
import lombok.Setter;
import pwc.taxtech.atms.common.CommonUtils;
import pwc.taxtech.atms.vat.entity.DataSource;

import java.util.List;

@Getter
@Setter
public class DataSourceExtendDto extends DataSource {
    private Integer operationType;
    private Long cellTemplateID;
    private Long cellDataID;
    private List<String> items;
    private DataSource dataSource;
    private Long reportTemplateID;
    private Integer dataSourceType;

    public DataSource getDataSource() {
        this.dataSource = new DataSource();
        CommonUtils.copyProperties(this, dataSource);
        return this.dataSource;
    }
}
